Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh
Class SSHVersionSpySocket

    java.lang.Object
      java.net.Socket
          com.mindbright.ssh.SSHVersionSpySocket

public class SSHVersionSpySocket
extends java.net.Socket

Constructor Summary
`SSHVersionSpySocket(java.net.Socket origSocket)`

Method Summary
`void` | `close()`
`java.net.InetAddress` | `getInetAddress()`
`java.io.InputStream` | `getInputStream()`
`java.net.InetAddress` | `getLocalAddress()`
`int` | `getLocalPort()`
`int` | `getMajorVersion()`
`java.io.OutputStream` | `getOutputStream()`
`int` | `getPort()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`boolean` | `getTcpNoDelay()`
`void` | `setSoLinger(boolean on, int val)`
`void` | `setSoTimeout(int timeout)`
`void` | `setTcpNoDelay(boolean on)`
`java.lang.String` | `toString()`

Methods inherited from class java.net.Socket
`bind, connect, connect, getChannel, getKeepAlive, getLocalSocketAddress, getOOBInline, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSocketImplFactory, setTrafficClass, shutdownInput, shutdownOutput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSHVersionSpySocket

    public SSHVersionSpySocket(java.net.Socket origSocket)
                        throws java.io.IOException

Method Detail

### getMajorVersion

    public int getMajorVersion()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInetAddress

    public java.net.InetAddress getInetAddress()

### getLocalAddress

    public java.net.InetAddress getLocalAddress()

### getPort

    public int getPort()

### getLocalPort

    public int getLocalPort()

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setTcpNoDelay

    public void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getTcpNoDelay

    public boolean getTcpNoDelay()
                          throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setSoLinger

    public void setSoLinger(boolean on,
                            int val)
                     throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getSoLinger

    public int getSoLinger()
                    throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### setSoTimeout

    public void setSoTimeout(int timeout)
                      throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### getSoTimeout

    public int getSoTimeout()
                     throws java.net.SocketException

  Throws:
    `java.net.SocketException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD